Skip to main content
POST
Estimate FP4 preparation cost

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for preparing an adapter for FP4 inference.

inputs
object
required

Adapter inputs to prepare.

Example:

Response

Estimate for the described job.

Price and duration estimate for a quantization job.

price_usd
number<double>
required

Expected total run cost in US dollars.

Example:

28.76

time_hours
number<double>
required

Expected wall-clock run time in hours, excluding queue time.

Example:

4

credit_limit
number<double>
required

Project credit limit in US dollars.

Example:

500

allowed_to_proceed
boolean
required

Whether a create request at this price would be accepted.

Example:

true